Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 162004

Summary: media-libs/libgphoto2-2.2.1-r1 doesn't work w/ udev-087-r1
Product: Gentoo Linux Reporter: Klaus Dieter Schmatz <kschmatz>
Component: New packagesAssignee: Matthias Schwarzott <zzam>
Status: RESOLVED FIXED    
Severity: normal CC: cedric.godin, gentoo-bugs, gnome, jakuhrlinux, liquidx
Priority: High    
Version: 2006.1   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 159871    
Bug Blocks:    

Description Klaus Dieter Schmatz 2007-01-14 08:52:50 UTC
On amd64, media-libs/libgphoto2-2.2.1-r1 does not work with the stable version of udev (087-r1). Therefore, please revert media-libs/libgphoto2-2.2.1-r1 to testing  so long as udev-103 is not stable yet on amd64.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-01-14 08:55:34 UTC
Maybe if you explained how it doesn't work, someone might even fix it. :P Reopen with something useful.
Comment 2 Klaus Dieter Schmatz 2007-01-14 19:10:34 UTC
Well, I actually gave away the resolution in my description. :) Just mark 
libgphoto2-2.2.1-r1 as testing again.

What goes wrong: libgphoto2-2.2.1-r1 uses features of udev that are not yet implemented in udev-087-r1. 

This is what you will find during booting:

/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3099", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3113", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="30ef", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="30ee", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3101", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3044", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3060", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3084", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3099", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3084", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3099", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="308e", MODE="660", GROUP="plugdev"
/etc/udev/rules.d/99-libgphoto2.rules:ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="3046", MODE="660", GROUP="plugdev" 

etc.

Thus: libgphoto2-2.2.1-r1 MUST NOT be stable as long as stable udev remains at 
version 087-r1.
Comment 3 Klaus Dieter Schmatz 2007-01-15 20:19:08 UTC
The output that appears during booting actually looks like this:

udevd[1254]: add_to_rules: unknown key 'ATTRS{idVendor}', in 'ATTRS{idVendor}'

In the previous message I mistakenly posted offending lines in /etc/udev/rules.d/99-libgphoto2.rules. Sorry.
Comment 4 Alexander Goomenyuk 2007-01-15 22:51:03 UTC
(In reply to comment #1)
> Maybe if you explained how it doesn't work, someone might even fix it. :P
> Reopen with something useful.
> 

With >=udev-098 and gnome-2.16.2, gphoto2-2.2.0 crashes. I think it's good idea to revert libgphoto2 to testing state as long as one has unstable dependencies.
Comment 5 Matija "hook" Ċ uklje 2007-01-15 23:13:09 UTC
I get the same problem.

The /etc/udev/rules.d/99-libgphoto2.rules itself says:
# udev rules file for libgphoto2 devices (udev >= 0.98)

Ergo, media-libs/libgphoto2-2.2.1-r1 and sys-fs/udev-087-r1 are *not* compatible, although they are both marked as stable on amd64.

Solutions:
* either mask libgphoto2-2.2.1-r1 back to unstable
* or keyword udev>=098 as stable
Comment 6 Decibels 2007-01-17 17:16:57 UTC
The only problem I am having with libgphoto2-2.2.1-r1 (amd64) and a (x86) box I know of with the same bootup output errors is the 99-libgphoto2.rules file. 
Everything seems to work fine on both systems, just get that terrible output during boot. Don't even need the file. On both systems have deleted it and the two cameras work fine with Digikam.
Comment 7 Matthias Schwarzott gentoo-dev 2007-01-24 13:05:17 UTC
Now as stablizing some udev-version around v103 on amd64 will take a while:

No need to downgrade libgphoto. Older versions did not install any udev-rules. And you will lose nothing with it (besides some warnings).
But if you mind you can delete the file as some commenters before me said.
Comment 8 Klaus Dieter Schmatz 2007-02-10 08:40:46 UTC
Bug can be closed because udev-104-r9 is now stable on amd64.